
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef NDD_SCAN_H
#define NDD_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/aspectTclservClientDecode.h"

#include "server/tclservClient/sickTclservClientDecode.h"

#include "server/tclservClient/seglocTclservClientDecode.h"

#include "server/tclservClient/piloTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"


/* Structures du module */
#include "server/nddPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_NDD_MAXSPEED_POSTER_STR (char** buf, struct NDD_MAXSPEED_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_NDD_PARAMS_POSTER_STR (char** buf, struct NDD_PARAMS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_NDD_DIAGRAM_POSTER_STR (char** buf, struct NDD_DIAGRAM_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_NDD_GOAL_POSTER_STR (char** buf, struct NDD_GOAL_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_NDD_REF_POSTER_STR (char** buf, struct NDD_REF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_NDD_STR (char** buf, struct NDD_STR *x, int nDim, int *dims );
int scan_buf_struct_NDD_CHOICE (char** buf, struct NDD_CHOICE *x, int nDim, int *dims );
int scan_buf_struct_NDD_DIAGRAM (char** buf, struct NDD_DIAGRAM *x, int nDim, int *dims );
int scan_buf_struct_NDD_VALLEY (char** buf, struct NDD_VALLEY *x, int nDim, int *dims );
int scan_buf_struct_NDD_PARAMS (char** buf, struct NDD_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_NDD_STRING (char** buf, struct NDD_STRING *x, int nDim, int *dims );
int scan_buf_struct_NDD_INPUT_POSTERS (char** buf, struct NDD_INPUT_POSTERS *x, int nDim, int *dims );
int scan_buf_enum_NDD_USING_THETA (char** buf, enum NDD_USING_THETA *x, int nDim, int *dims );
int scan_buf_enum_NDD_OBST_TYPE (char** buf, enum NDD_OBST_TYPE *x, int nDim, int *dims );
int scan_buf_struct_NDD_SPEED (char** buf, struct NDD_SPEED *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_NDD_SPEED (char** buf, NDD_SPEED *x, int nDim, int *dims );
int scan_buf_NDD_OBST_TYPE (char** buf, NDD_OBST_TYPE *x, int nDim, int *dims );
int scan_buf_NDD_USING_THETA (char** buf, NDD_USING_THETA *x, int nDim, int *dims );
int scan_buf_NDD_INPUT_POSTERS (char** buf, NDD_INPUT_POSTERS *x, int nDim, int *dims );
int scan_buf_NDD_STRING (char** buf, NDD_STRING *x, int nDim, int *dims );
int scan_buf_NDD_PARAMS (char** buf, NDD_PARAMS *x, int nDim, int *dims );
int scan_buf_NDD_VALLEY (char** buf, NDD_VALLEY *x, int nDim, int *dims );
int scan_buf_NDD_DIAGRAM (char** buf, NDD_DIAGRAM *x, int nDim, int *dims );
int scan_buf_NDD_CHOICE (char** buf, NDD_CHOICE *x, int nDim, int *dims );
int scan_buf_NDD_STR (char** buf, NDD_STR *x, int nDim, int *dims );
int scan_buf_NDD_REF_POSTER_STR (char** buf, NDD_REF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_NDD_GOAL_POSTER_STR (char** buf, NDD_GOAL_POSTER_STR *x, int nDim, int *dims );
int scan_buf_NDD_DIAGRAM_POSTER_STR (char** buf, NDD_DIAGRAM_POSTER_STR *x, int nDim, int *dims );
int scan_buf_NDD_PARAMS_POSTER_STR (char** buf, NDD_PARAMS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_NDD_MAXSPEED_POSTER_STR (char** buf, NDD_MAXSPEED_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* NDD_SCAN_H */

